Get Fossabot Status
https://app.fossa.com/api/fossabot/statusfossabot connection and credit status for the calling organization, optionally scoped to one project's repository.
Query parameters
projectLocatorstringScope the connection check to this project's repository.
Responses
200The fossabot connection status.connectedbooleanrequiredappUrlstring | nullrequiredcreditLevelenumrequiredavailablelowexhaustednull401UnauthorizeduuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
403The fossabot feature is not enabled or the caller lacks permission.uuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
404The project does not exist in the calling organization.uuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
500Server ErroruuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
Try this endpoint
Build a request and run it against app.fossa.com.
Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.
GET https://app.fossa.com/api/fossabot/statuscurl --request GET \ --url 'https://app.fossa.com/api/fossabot/status' \ --header 'accept: application/json' \ --header 'authorization: Bearer YOUR_API_TOKEN'Real request. Mutating methods can change data.
Query params
projectLocatorstringScope the connection check to this project's repository.